ByteCodeHelper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.spi
Class ByteCodeHelper

    java.lang.Object
      org.hibernate.bytecode.spi.ByteCodeHelper

    public class ByteCodeHelper

extends Object

A helper for reading byte code from various input sources.

Method Summary
`static byte[]` | `readByteCode(File file)` Read class definition from a file.
`static byte[]` | `readByteCode(InputStream inputStream)` Reads class byte array info from the given input stream.
`static byte[]` | `readByteCode(ZipInputStream zip)` Read class definition a zip (jar) file entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### readByteCode

    public static byte[] readByteCode(InputStream inputStream)
                               throws IOException

  Reads class byte array info from the given input stream.

  The stream is closed within this method!

  Parameters:
    `inputStream` - The stream containing the class binary; null will lead to an `IOException`
  Returns:
    The read bytes
  Throws:
    `IOException` - Indicates a problem accessing the given stream.

### readByteCode

    public static byte[] readByteCode(File file)
                               throws IOException

  Read class definition from a file.

  Parameters:
    `file` - The file to read.
  Returns:
    The class bytes
  Throws:
    `IOException` - Indicates a problem accessing the given stream.

### readByteCode

    public static byte[] readByteCode(ZipInputStream zip)
                               throws IOException

  Read class definition a zip (jar) file entry.

  Parameters:
    `zip` - The zip entry stream.
  Returns:
    The class bytes
  Throws:
    `IOException` - Indicates a problem accessing the given stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.